This is the multi-page printable view of this section. Click here to print.

Return to the regular view of this page.

Validate a certificate

1 - 1.2

post /v1/certificatemanager/check-validation

Description

Validate a Certificate

State ACTIVE (CURRENT)

VersionNot Before
1.2-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

CertificateValidateRequestV1Dot1

Responses

HTTP CodeDescriptionSchema
200OKCertificateValidateResponseV1Dot1
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/certificatemanager/check-validation

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = certificatemanager 1.2"

Request body

{
    "cert_body": "<encoded certificate body data>",
    "cert_chain": "<encoded certificate chain data>",
    "private_key": "<encoded private_key data>"
}

Example HTTP response

Response 200

{
    "validate_check": ""
}

2 - 1.1

post /v1/certificatemanager/check-validation

Description

Validate a Certificate

State ACTIVE (SUPPORTED)

VersionNot Before
1.120260831

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

CertificateValidateRequestV1Dot1

Responses

HTTP CodeDescriptionSchema
200OKCertificateValidateResponseV1Dot1
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/certificatemanager/check-validation

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = certificatemanager 1.1"

Request body

{
    "cert_body": "<encoded certificate body data>",
    "cert_chain": "<encoded certificate chain data>",
    "private_key": "<encoded private_key data>"
}

Example HTTP response

Response 200

{
    "validate_check": ""
}

3 - 1.0

post /v1/certificatemanager/check-validation

Description

Validate a Certificate

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.020260531

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

CertificateValidateRequest

Responses

HTTP CodeDescriptionSchema
200OKCheckResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/certificatemanager/check-validation

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = certificatemanager 1.0"

Request body

{
    "cert_body": "<encoded certificate body data>",
    "cert_chain": "<encoded certificate chain data>",
    "is_need_cert_chain": "True",
    "private_key": "<encoded private_key data>"
}

Example HTTP response

Response 200

{
    "result": true
}